import { defineComponent as n, computed as c, createElementBlock as u, createCommentVNode as p, openBlock as s, toDisplayString as d } from "vue";
const i = { key: 0 }, _ = /* @__PURE__ */ n({
  __name: "DatahubDataTypeDoubleFloatValueRenderer",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: {},
    dataTypeInstance: {},
    modelValue: {}
  },
  setup(r) {
    const e = r, l = c(() => {
      var t, a, o;
      return (t = e.cellValue) != null && t.length ? `${e.cellValue[0]}${(o = (a = e.cell.properties) == null ? void 0 : a.configuration) == null ? void 0 : o.separator}${e.cellValue[1]}` : "";
    });
    return (t, a) => l.value ? (s(), u("span", i, d(l.value), 1)) : p("", !0);
  }
});
export {
  _ as default
};
